Subject: Re: Does git have "Path-Based Authorization"?

From: "Frans Klaver" <[email-masked]>
Date: Sun, 02 Oct 2011 08:43:02 +0200

On Sun, 02 Oct 2011 05:34:43 +0200, Grant <[email-masked]> wrote:

> That's true.  I hope to be able to give different developers access to
> different parts of the code.  I really don't know if this will work.
> I just don't want my code to be stolen and I'm trying to find some way
> to prevent that from happening.

To me it seems like you don't trust your developers? If you run a
business and you hire external developers, have them sign an NDA.
Should be legally binding.

I as a developer would be severely insulted if my boss tried to keep
me away from some code, just because he was afraid it might get stolen.

If you don't trust them, fix your trust and relationship, not some tool.

Just my two cents.

Have a good one,
Frans